summaryrefslogtreecommitdiff
path: root/source4/script/installmisc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/installmisc.sh')
-rwxr-xr-xsource4/script/installmisc.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/source4/script/installmisc.sh b/source4/script/installmisc.sh
new file mode 100755
index 0000000000..5f7e11f083
--- /dev/null
+++ b/source4/script/installmisc.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+# install miscellaneous files
+
+SRCDIR="$1"
+JSDIR="$2"
+SETUPDIR="$3"
+BINDIR="$4"
+
+cd $SRCDIR || exit 1
+
+echo "Installing js libs"
+mkdir -p $JSDIR || exit 1
+cp scripting/libjs/*.js $JSDIR || exit 1
+
+echo "Installing setup templates"
+mkdir -p $SETUPDIR || exit 1
+cp setup/schema-map-* $SETUPDIR || exit 1
+cp setup/DB_CONFIG $SETUPDIR || exit 1
+cp setup/provision-backend $SETUPDIR || exit 1
+cp setup/provision $SETUPDIR || exit 1
+cp setup/newuser $SETUPDIR || exit 1
+cp setup/*.inf $SETUPDIR || exit 1
+cp setup/*.ldif $SETUPDIR || exit 1
+cp setup/*.reg $SETUPDIR || exit 1
+cp setup/*.zone $SETUPDIR || exit 1
+cp setup/*.conf $SETUPDIR || exit 1
+cp setup/*.php $SETUPDIR || exit 1
+cp setup/*.txt $SETUPDIR || exit 1
+cp setup/provision.smb.conf.dc $SETUPDIR || exit 1
+cp setup/provision.smb.conf.member $SETUPDIR || exit 1
+cp setup/provision.smb.conf.standalone $SETUPDIR || exit 1
+
+echo "Installing script tools"
+mkdir -p "$BINDIR"
+rm -f scripting/bin/*~
+cp scripting/bin/* $BINDIR/ || exit 1
+
+exit 0